
import random
import numpy as np
from allennlp.data import Instance
from allennlp.data.fields import TextField, LabelField
from allennlp.models import Model
from allennlp.modules import Embedder
from allennlp.nn.util import get_text_field_mask

def generate_random_instance():
    """
    Generates a random instance for AllenNLP.
    """
    # Random text
    text = " ".join(random.choices("abcdefghijklmnopqrstuvwxyz", k=50))
    # Random label
    label = random.randint(0, 1)
    
    # Create a text field
    text_field = TextField(text)
    # Create a label field
    label_field = LabelField(label)
    # Create an instance
    instance = Instance({"text": text_field, "label": label_field})
    return instance



